package com.shanghaichengdi.ghjgitem.enums;

import lombok.Getter;
import lombok.Setter;

/**
 * @author gengaoliu
 */
@Getter
public enum OutsideInterface {

  /**
   * 文件存储路径
   */
  DEMO("www.baidu.com", "百度"),
  GHJG_FILE_SERVICE("https://10.83.240.193:8090/ghjgWebService", "港航监管文件路径"),
  GHJG_FILE_LOAD("/data/dataShareFolder/", "港行监管文件加载磁盘路径"),
  AUTH_URL("https://10.83.248.123:2001/externalAuth/auth/","调用综合业务平台的checkToken接口");
  /**
   * 存储表url路径
   */
  @Setter
  private String urlString;

  /**
   * 存储表全称
   */
  @Setter
  private String describe;

  OutsideInterface(String urlString, String describe) {
    this.urlString = urlString;
    this.describe = describe;
  }
}
